'''
Created on 04.06.2015

@author: Oliver Scheuss
'''

from poi_collection import POI_Collection
import sys

def main():
    
    if len(sys.argv) != 3:
        print ('Error. Please provide the following command line arguments:')
        print ('gpx2slc.py Input.gpx Output.slc')
        print (sys.argv)
        return;
    
    gpx_file = sys.argv[1];
    out_file = sys.argv[2];
    print (gpx_file + ' --> ' + out_file);
    
    # === Prepare POI Collection
    poi_collection = POI_Collection();
    
    # import gpx gpx_file
    poi_collection.import_gpx(gpx_file)
    
    out_content = poi_collection.export_navteq(None);
    
    with open(out_file, 'wb') as content_file:
        content_file.write(out_content);
    
    return;


main();